package com.zcloud.service.system.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.system.VersionManagerZdgcMapper;
import com.zcloud.service.system.VersionManagerZdgcService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：版本控制
 * 作者：luoxiaobao
 * 时间：2021-02-07
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class VersionManagerZdgcServiceImpl implements VersionManagerZdgcService {

	@Autowired
	private VersionManagerZdgcMapper versionmanagerZdgcMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		versionmanagerZdgcMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		versionmanagerZdgcMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		versionmanagerZdgcMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return versionmanagerZdgcMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return versionmanagerZdgcMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return versionmanagerZdgcMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		versionmanagerZdgcMapper.deleteAll(ArrayDATA_IDS);
	}

}

